Subject: Re: Resolution to open comments on ICMP Name Lookups

From: Elwyn Davies <[email-masked]>
Date: Wed, 07 Dec 2005 10:08:08 +0000

Hi.

Sorry for the silence.. I have been on an extended holiday jaunt and am 
just catching up.

As one of those who commented on the current version, just to say that I 
am happy with the proposed resolution, but it is probably appropriate to 
add a security note as proposed by Jeroen Massar as regards the tunnel 
endpoint enquiry.

Regards,
Elwyn

Brian Haberman wrote:

> All,
>      As promised during the IPv6 WG session in Vancouver, this is
> my attempt to resolve the open issues with the ICMP Name Lookup
> draft.  From my review of my e-mail and the mailing list archive, there
> are three open issues on the table.  I will list each and propose a
> resolution to each.
>
>      I will accept comments on these changes until 5:00pm on 12/2/05.
> After that, I will incorporate the changes and submit the draft.
>
>
> Issue 1: Restrict operation of the protocol to link-local use.
>
> Resolution:
>      The consensus is to retain the more flexible multi-hop capability.
>      An additional sentence or two will be added to the Security
>      Considerations section recommending the filtering of these
>       messages at administrative boundaries.
>
>
> Issue 2: Change multicast range used for Queries.
>
> Resolution:
>      This change will be made.  There will not be a "compatibility"
>      knob for operation with older implementations.  The addition
>      of such a knob will make operational use too complex.  This
>      should simplify the use, but will require a code change.
>
> Issue 3: Discovery of tunnel endpoints.
>
> Resolution:
>      This change will be made and will be based on the text proposed
>      http://www1.ietf.org/mail-archive/web/ipv6/current/msg05674.html
>
>
> Regards,
> Brian
>
>------------------------------------------------------------------------
>
>--------------------------------------------------------------------
>IETF IPv6 working group mailing list
>[email-masked]
>Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
>--------------------------------------------------------------------
>  
>

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------